Debian Bug report logs - #559364
regression: console text is red

version graph

Package: kfreebsd-image-8.0-1-686; Maintainer for kfreebsd-image-8.0-1-686 is (unknown);

Reported by: anarcat@anarcat.ath.cx

Date: Thu, 3 Dec 2009 22:09:04 UTC

Severity: minor

Found in versions kfreebsd-8/8.0-1, kfreebsd-8/8.0-4

Fixed in version kfreebsd-8/8.1-4

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Thu, 03 Dec 2009 22:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to anarcat@anarcat.ath.cx:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 03 Dec 2009 22:09:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: anarcat@anarcat.ath.cx
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: regression: console text is red
Date: Thu, 3 Dec 2009 17:03:28 -0500
Package: kfreebsd-image-8.0-1-686
Version: 8.0-1
Severity: minor

After installing this package and rebooting, the console text is all red
instead of the regular gray. 7.2 didn't have that behavior.

Not a big deal, but just something that should be mentionned I guess.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.2-1-486
Locale: LANG=fr_CA.UTF-8, LC_CTYPE=fr_CA.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_CA.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kfreebsd-image-8.0-1-686 depends on:
ii  freebsd-utils                 8.0-1      FreeBSD utilities needed for GNU/k
ii  kldutils                      8.0-1      tools for managing kFreeBSD module

Versions of packages kfreebsd-image-8.0-1-686 recommends:
ii  libc0.1-i686                  2.10.2-2   GNU C Library: Shared libraries [i

kfreebsd-image-8.0-1-686 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Thu, 03 Dec 2009 23:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 03 Dec 2009 23:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 559364@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: anarcat@anarcat.ath.cx, 559364@bugs.debian.org
Subject: Re: Bug#559364: regression: console text is red
Date: Fri, 4 Dec 2009 00:35:41 +0100
On Thu, Dec 03, 2009 at 05:03:28PM -0500, anarcat@anarcat.ath.cx wrote:
> Package: kfreebsd-image-8.0-1-686
> Version: 8.0-1
> Severity: minor
> 
> After installing this package and rebooting, the console text is all red
> instead of the regular gray. 7.2 didn't have that behavior.
> 
> Not a big deal, but just something that should be mentionned I guess.
> 

This is actually most probably due to an initscript. Does the boot start
in red, or does it switches to red at some point?

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Fri, 04 Dec 2009 00:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Anarcat <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 04 Dec 2009 00:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 559364@bugs.debian.org (full text, mbox):

From: The Anarcat <anarcat@anarcat.ath.cx>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 559364@bugs.debian.org
Subject: Re: Bug#559364: regression: console text is red
Date: Thu, 3 Dec 2009 19:15:23 -0500
[Message part 1 (text/plain, inline)]
The kernel messages are still bright yellow. Then the init scripts turn
green, then red.

A.

-- 
We should act only in such away that if everyone 
else acted as we do, we would accept the results.
                        - Kant
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Thu, 10 Dec 2009 15:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 10 Dec 2009 15:36:05 GMT) Full text and rfc822 format available.

Message #20 received at 559364@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>, 559364@bugs.debian.org
Cc: anarcat@anarcat.ath.cx
Subject: Re: Bug#559364: regression: console text is red
Date: Thu, 10 Dec 2009 16:33:20 +0100
[Message part 1 (text/plain, inline)]
Aurelien Jarno <aurelien@aurel32.net> (04/12/2009):
> This is actually most probably due to an initscript. Does the boot
> start in red, or does it switches to red at some point?

Hi,

on a kfreebsd-amd64 machine, I can reproduce this. Booting with 7.2 is
alright while booting with 8.0 triggers this bug. It appears the
switch happens right after init it started, when filesystems get
mounted. There's some kern_path variables that might not be OK, or
something similar; I'll have to slow down the boot process, scrolling
happens too fast and I can't get back. I'll have to retry later on.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Fri, 11 Dec 2009 00:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 11 Dec 2009 00:15:06 GMT) Full text and rfc822 format available.

Message #25 received at 559364@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: 559364@bugs.debian.org
Subject: Re: Bug#559364: regression: console text is red
Date: Fri, 11 Dec 2009 01:04:55 +0100
On Thu, Dec 10, 2009 at 04:33:20PM +0100, Cyril Brulebois wrote:
> > This is actually most probably due to an initscript. Does the boot
> > start in red, or does it switches to red at some point?

The latter.

> on a kfreebsd-amd64 machine, I can reproduce this. Booting with 7.2 is
> alright while booting with 8.0 triggers this bug.

I also have this on my EeeBox with kfreebsd-i386.

		Regards, Axel
-- 
Axel Beckert - abe@deuxchevaux.org, abe@noone.org - http://noone.org/abe/




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Fri, 11 Dec 2009 08:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 11 Dec 2009 08:06:08 GMT) Full text and rfc822 format available.

Message #30 received at 559364@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>, 559364@bugs.debian.org
Cc: anarcat@anarcat.ath.cx
Subject: Re: Bug#559364: regression: console text is red
Date: Fri, 11 Dec 2009 09:03:29 +0100
[Message part 1 (text/plain, inline)]
Cyril Brulebois <kibi@debian.org> (10/12/2009):
> I'll have to retry later on.

So first, to help debugging, “dmesg -a” is our friend.

Now, I've tweaked the checkroot.sh init script (see attached patch)
and I'm getting this:
| Activating swap...
| log_action_end_msg 139

which shows that we're taking the “then” branch of the if in both 7.x
and 8.x cases (same output).

So my little patch disables the switch to the red colour, but in the
8.x case, there's a warning shown anyway, in yellow, and the whole
output is then turned into yellow.

To check whether kernel versions really had an influence on colours, I
added an unconditional “log_warning_msg "Hello"” in the same script,
and noticed that when using 7.x, only the message is coloured, while
when using 8.x, all following output is coloured as well.

So it looks like something isn't working properly from a console (?)
point of view with 8.x kernels.

I'm attaching a boot log for both 7.x and 8.x kernels; one can check
there are the same warning/failed messages in both, with the same ANSI
escape codes.

Mraw,
KiBi.
[checkroot.sh.diff (text/x-diff, attachment)]
[7.log (text/plain, attachment)]
[8.log (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Sun, 21 Feb 2010 18:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to antoine beaupre <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 21 Feb 2010 18:27:02 GMT) Full text and rfc822 format available.

Message #35 received at 559364@bugs.debian.org (full text, mbox):

From: antoine beaupre <anarcat@anarcat.ath.cx>
To: Debian Bug Tracking System <559364@bugs.debian.org>
Subject: kfreebsd-image-8.0-1-686: more details
Date: Sun, 21 Feb 2010 08:25:59 -0500
Package: kfreebsd-image-8.0-1-686
Version: 8.0-4
Severity: normal

Basically, the problem here is that color changes on the console "stick"
somehow. I assume there's an escape sequence to go back to the regular
"gray" color that doesn't work somewhere.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.0-1-686
Locale: LANG=fr_CA.UTF-8, LC_CTYPE=fr_CA.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_CA.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kfreebsd-image-8.0-1-686 depends on:
ii  freebsd-utils                 8.0-8      FreeBSD utilities needed for GNU/k
ii  kldutils                      8.0-8      tools for managing kFreeBSD module

Versions of packages kfreebsd-image-8.0-1-686 recommends:
ii  libc0.1-i686                  2.10.2-6   GNU C Library: Shared libraries [i

kfreebsd-image-8.0-1-686 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Tue, 27 Jul 2010 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 27 Jul 2010 15:42:03 GMT) Full text and rfc822 format available.

Message #40 received at 559364@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 559364@bugs.debian.org
Subject: [RFC]: Bug#559364: regression: console text is red
Date: Tue, 27 Jul 2010 19:17:18 +0200 (CEST)
Hi,

I dig into. The "tput op" does not do what is expected.

The our 8.x kernel series have added following options:

# UTF-8 console support
options         VESA
options         SC_PIXEL_MODE   # add support for the raster text mode
options         TEKEN_UTF8      # UTF-8 output handling
options         TEKEN_XTERM     # xterm-style terminal emulation

But the TERM settings is not xterm, but still cons25.
It suffices to change cons25 into xterm in src/init.c
and debian/share/inittab.kfreebsd-gnu in source package sysvinit.

Or tweaking of "NORMAL=`$TPUT op`" in /lib/lsb/init-functions.
Or of course revert to previous TEKEN_CONS25 behaviour.

Cheers
	Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Tue, 27 Jul 2010 18:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 27 Jul 2010 18:45:09 GMT) Full text and rfc822 format available.

Message #45 received at 559364@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 559364@bugs.debian.org
Subject: Re: Bug#559364: [RFC]: Bug#559364: regression: console text is red
Date: Tue, 27 Jul 2010 20:42:04 +0200
On Tue, Jul 27, 2010 at 07:17:18PM +0200, Petr Salinger wrote:
> Hi,
Hi,

> I dig into. The "tput op" does not do what is expected.
> 
> The our 8.x kernel series have added following options:
> 
> # UTF-8 console support
> options         VESA
> options         SC_PIXEL_MODE   # add support for the raster text mode
> options         TEKEN_UTF8      # UTF-8 output handling
> options         TEKEN_XTERM     # xterm-style terminal emulation
> 
> But the TERM settings is not xterm, but still cons25.
> It suffices to change cons25 into xterm in src/init.c
> and debian/share/inittab.kfreebsd-gnu in source package sysvinit.

Thanks for investigating.

It's probably the way to go. xterm also brings partial support for
UTF-8, and we are likely to deprecate (remove ?) 7.x kernel for squeeze.

Cheers,
Aurelien

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Sat, 31 Jul 2010 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 31 Jul 2010 14:45:03 GMT) Full text and rfc822 format available.

Message #50 received at 559364@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>, 559364@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#559364: [RFC]: Bug#559364: regression: console text is red
Date: Sat, 31 Jul 2010 16:41:39 +0200
Hi!

On Tue, 2010-07-27 at 20:42:04 +0200, Aurelien Jarno wrote:
> On Tue, Jul 27, 2010 at 07:17:18PM +0200, Petr Salinger wrote:
> > I dig into. The "tput op" does not do what is expected.
> > 
> > The our 8.x kernel series have added following options:
> > 
> > # UTF-8 console support
> > options         VESA
> > options         SC_PIXEL_MODE   # add support for the raster text mode
> > options         TEKEN_UTF8      # UTF-8 output handling
> > options         TEKEN_XTERM     # xterm-style terminal emulation
> > 
> > But the TERM settings is not xterm, but still cons25.
> > It suffices to change cons25 into xterm in src/init.c
> > and debian/share/inittab.kfreebsd-gnu in source package sysvinit.
> 
> Thanks for investigating.
> 
> It's probably the way to go. xterm also brings partial support for
> UTF-8, and we are likely to deprecate (remove ?) 7.x kernel for squeeze.

I did some minimal checking, by changing TERM to xterm on the console
and it seems at least arrow keys stop working correctly on ncurses
programs.

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Mon, 02 Aug 2010 23:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 02 Aug 2010 23:54:06 GMT) Full text and rfc822 format available.

Message #55 received at 559364@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Guillem Jover <guillem@debian.org>, 559364@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#559364: [RFC]: Bug#559364: regression: console text is red
Date: Tue, 3 Aug 2010 01:51:12 +0200
On Sat, Jul 31, 2010 at 04:41:39PM +0200, Guillem Jover wrote:
> Hi!
> 
> On Tue, 2010-07-27 at 20:42:04 +0200, Aurelien Jarno wrote:
> > On Tue, Jul 27, 2010 at 07:17:18PM +0200, Petr Salinger wrote:
> > > I dig into. The "tput op" does not do what is expected.
> > > 
> > > The our 8.x kernel series have added following options:
> > > 
> > > # UTF-8 console support
> > > options         VESA
> > > options         SC_PIXEL_MODE   # add support for the raster text mode
> > > options         TEKEN_UTF8      # UTF-8 output handling
> > > options         TEKEN_XTERM     # xterm-style terminal emulation
> > > 
> > > But the TERM settings is not xterm, but still cons25.
> > > It suffices to change cons25 into xterm in src/init.c
> > > and debian/share/inittab.kfreebsd-gnu in source package sysvinit.
> > 
> > Thanks for investigating.
> > 
> > It's probably the way to go. xterm also brings partial support for
> > UTF-8, and we are likely to deprecate (remove ?) 7.x kernel for squeeze.
> 
> I did some minimal checking, by changing TERM to xterm on the console
> and it seems at least arrow keys stop working correctly on ncurses
> programs.
> 

I confirm the issue here, so it seems we have to revert the options in
the kernel. That's a pitty because the goal was to use the UTF-8
terminal to be able to have non-english language in debian-installer.

The alternative would be to do like on GNU/Linux, that is using
bogl-bterm, however someone has to port it first.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Tue, 03 Aug 2010 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 03 Aug 2010 06:33:03 GMT) Full text and rfc822 format available.

Message #60 received at 559364@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 559364@bugs.debian.org
Subject: Re: Bug#559364: [RFC]: Bug#559364: regression: console text is red
Date: Tue, 3 Aug 2010 10:38:25 +0200 (CEST)
>>>> I dig into. The "tput op" does not do what is expected.
>>>>
>>>> The our 8.x kernel series have added following options:
>>>>
>>>> # UTF-8 console support
>>>> options         VESA
>>>> options         SC_PIXEL_MODE   # add support for the raster text mode
>>>> options         TEKEN_UTF8      # UTF-8 output handling
>>>> options         TEKEN_XTERM     # xterm-style terminal emulation
>>>>
>>>> But the TERM settings is not xterm, but still cons25.
>>>> It suffices to change cons25 into xterm in src/init.c
>>>> and debian/share/inittab.kfreebsd-gnu in source package sysvinit.
>>>
>>> Thanks for investigating.
>>>
>>> It's probably the way to go. xterm also brings partial support for
>>> UTF-8, and we are likely to deprecate (remove ?) 7.x kernel for squeeze.
>>
>> I did some minimal checking, by changing TERM to xterm on the console
>> and it seems at least arrow keys stop working correctly on ncurses
>> programs.
>>
>
> I confirm the issue here, so it seems we have to revert the options in
> the kernel. That's a pitty because the goal was to use the UTF-8
> terminal to be able to have non-english language in debian-installer.

I looked into HEAD, it have changes:

SVN rev 197115 on 2009-09-12 10:34:34Z by ed
- Make 8-bit support run-time configurable.

SVN rev 197117 on 2009-09-12 12:44:21Z by ed
- Make xterm/cons25 support runtime configurable.

SVN rev 197481 on 2009-09-25 13:51:01Z by ed
- Add a new escape sequence to switch between cons25 and xterm.
- Just run this to switch to xterm:
	printf '\e[=T'
- If you get bored and want to switch back to cons25, run this:
	printf '\e[=1T'

So 1st step would be revert kernel config to 8-STABLE default.
We still could later do backport of teken/syscons changes from HEAD 
and teach installer how to switch into XTERM, given there will be 
man-power for this.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Tue, 03 Aug 2010 17:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 03 Aug 2010 17:09:02 GMT) Full text and rfc822 format available.

Message #65 received at 559364@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: Aurelien Jarno <aurelien@aurel32.net>, 559364@bugs.debian.org
Cc: Guillem Jover <guillem@debian.org>, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#559364: [RFC]: Bug#559364: regression: console text is red
Date: Tue, 3 Aug 2010 13:05:39 -0400
On 8/2/10, Aurelien Jarno <aurelien@aurel32.net> wrote:
> I confirm the issue here, so it seems we have to revert the options in
> the kernel. That's a pitty because the goal was to use the UTF-8
> terminal to be able to have non-english language in debian-installer.

Maybe this sounds crazy, but what if you put this in /sbin/init:

#!/bin/sh
exec xinit /usr/bin/xterm -e /sbin/oldinit

and then you have UTF-8?




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Tue, 03 Aug 2010 17:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 03 Aug 2010 17:45:09 GMT) Full text and rfc822 format available.

Message #70 received at 559364@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Tuco <tuco.xyz@gmail.com>
Cc: 559364@bugs.debian.org, Guillem Jover <guillem@debian.org>, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#559364: [RFC]: Bug#559364: regression: console text is red
Date: Tue, 3 Aug 2010 19:40:56 +0200
On Tue, Aug 03, 2010 at 01:05:39PM -0400, Tuco wrote:
> On 8/2/10, Aurelien Jarno <aurelien@aurel32.net> wrote:
> > I confirm the issue here, so it seems we have to revert the options in
> > the kernel. That's a pitty because the goal was to use the UTF-8
> > terminal to be able to have non-english language in debian-installer.
> 
> Maybe this sounds crazy, but what if you put this in /sbin/init:
> 
> #!/bin/sh
> exec xinit /usr/bin/xterm -e /sbin/oldinit
> 
> and then you have UTF-8?
> 

It's not something possible, because you don't have xorg in the non-gtk
debian-installer images.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Tue, 03 Aug 2010 17:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 03 Aug 2010 17:45:11 GMT) Full text and rfc822 format available.

Message #75 received at 559364@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 559364@bugs.debian.org
Subject: Re: Bug#559364: [RFC]: Bug#559364: regression: console text is red
Date: Tue, 3 Aug 2010 19:42:26 +0200
On Tue, Aug 03, 2010 at 10:38:25AM +0200, Petr Salinger wrote:
>>>>> I dig into. The "tput op" does not do what is expected.
>>>>>
>>>>> The our 8.x kernel series have added following options:
>>>>>
>>>>> # UTF-8 console support
>>>>> options         VESA
>>>>> options         SC_PIXEL_MODE   # add support for the raster text mode
>>>>> options         TEKEN_UTF8      # UTF-8 output handling
>>>>> options         TEKEN_XTERM     # xterm-style terminal emulation
>>>>>
>>>>> But the TERM settings is not xterm, but still cons25.
>>>>> It suffices to change cons25 into xterm in src/init.c
>>>>> and debian/share/inittab.kfreebsd-gnu in source package sysvinit.
>>>>
>>>> Thanks for investigating.
>>>>
>>>> It's probably the way to go. xterm also brings partial support for
>>>> UTF-8, and we are likely to deprecate (remove ?) 7.x kernel for squeeze.
>>>
>>> I did some minimal checking, by changing TERM to xterm on the console
>>> and it seems at least arrow keys stop working correctly on ncurses
>>> programs.
>>>
>>
>> I confirm the issue here, so it seems we have to revert the options in
>> the kernel. That's a pitty because the goal was to use the UTF-8
>> terminal to be able to have non-english language in debian-installer.
>
> I looked into HEAD, it have changes:
>
> SVN rev 197115 on 2009-09-12 10:34:34Z by ed
> - Make 8-bit support run-time configurable.
>
> SVN rev 197117 on 2009-09-12 12:44:21Z by ed
> - Make xterm/cons25 support runtime configurable.
>
> SVN rev 197481 on 2009-09-25 13:51:01Z by ed
> - Add a new escape sequence to switch between cons25 and xterm.
> - Just run this to switch to xterm:
> 	printf '\e[=T'
> - If you get bored and want to switch back to cons25, run this:
> 	printf '\e[=1T'
>
> So 1st step would be revert kernel config to 8-STABLE default.
> We still could later do backport of teken/syscons changes from HEAD and 
> teach installer how to switch into XTERM, given there will be man-power 
> for this.
>

The question here is to know if debian-installer will also be affected
by the bug. If the arrow keys are not usable, debian-installer also
won't be usable.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559364; Package kfreebsd-image-8.0-1-686. (Sat, 07 Aug 2010 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 07 Aug 2010 07:30:03 GMT) Full text and rfc822 format available.

Message #80 received at 559364@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 559364@bugs.debian.org
Subject: Re: Bug#559364: [RFC]: Bug#559364: regression: console text is red
Date: Sat, 7 Aug 2010 11:36:02 +0200 (CEST)
> Given squeeze is frozen, we should now go the conservative way, that is
> reverting back to cons25. We will try to have another way to get
> debian-installer display UTF-8 (maybe defaulting to the graphical
> installer, not yet tested on GNU/kFreeBSD), and it is possible to do
> that far later in the freeze process.
>
> I have tried to do the fix myself by reverting only TEKEN_XTERM, but I
> still get the problem. Given I am now travelling, I can't test that
> anymore.

Even reverting all on amd64 does not help.

# UTF-8 console support
#options                SC_PIXEL_MODE   # add support for the raster text mode
#options                TEKEN_UTF8      # UTF-8 output handling
#options                TEKEN_XTERM     # xterm-style terminal emulation


It looks like we should instead teach console,
how to handle "ESC [ x" correctly, in the same way
as "ESC [  3   9   ;   4   9   m" is handled.


orion-bsd:~# TERM=xterm tput op | od -ax
0000000 esc   [   3   9   ;   4   9   m
           5b1b    3933    343b    6d39
0000010
orion-bsd:~# TERM=cons25 tput op | od -ax
0000000 esc   [   x
           5b1b    0078


This way we can leave current TEKEN options as they are.

Petr





Added tag(s) pending. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sat, 07 Aug 2010 11:24:02 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 08 Aug 2010 23:51:03 GMT) Full text and rfc822 format available.

Notification sent to anarcat@anarcat.ath.cx:
Bug acknowledged by developer. (Sun, 08 Aug 2010 23:51:03 GMT) Full text and rfc822 format available.

Message #87 received at 559364-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 559364-close@bugs.debian.org
Subject: Bug#559364: fixed in kfreebsd-8 8.1-4
Date: Sun, 08 Aug 2010 23:47:46 +0000
Source: kfreebsd-8
Source-Version: 8.1-4

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.1-4.diff.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.1-4.diff.gz
kfreebsd-8_8.1-4.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.1-4.dsc
kfreebsd-headers-8-amd64_8.1-4_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.1-4_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1-amd64_8.1-4_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1-amd64_8.1-4_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1_8.1-4_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1_8.1-4_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.1-4_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.1-4_kfreebsd-amd64.deb
kfreebsd-image-8.1-1-amd64_8.1-4_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.1-1-amd64_8.1-4_kfreebsd-amd64.deb
kfreebsd-source-8.1_8.1-4_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.1_8.1-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559364@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Aug 2010 16:45:13 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.1 kfreebsd-headers-8.1-1 kfreebsd-image-8.1-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.1-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.1-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.1-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.1-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.1-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.1-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.1-1-686-smp kfreebsd-headers-8-686-smp
Architecture: source all kfreebsd-amd64
Version: 8.1-4
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1-486 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686-smp - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-amd64 - header files for kernel of FreeBSD 8.1
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8.1-1-486 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686-smp - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-amd64 - kernel of FreeBSD 8.1 image
 kfreebsd-source-8.1 - source code for kernel of FreeBSD 8.1 with Debian patches
Closes: 559364
Changes: 
 kfreebsd-8 (8.1-4) unstable; urgency=low
 .
   [ Petr Salinger]
   * Report i686 instead of i386 on amd64 machine for 32-bit binaries.
   * Teach how to handle orig_pair ESC sequence for TERM=cons25.
     Closes: #559364.
   * enable VESA also for 64-bit kernel, similarly as for 32-bits
     kernels since 8.0-3
Checksums-Sha1: 
 ebd451e9b0c0f17b61e4866f83b339574a84747d 1863 kfreebsd-8_8.1-4.dsc
 5b20c97c1144ab0ed0f84231cd982d7ea28aee2d 77138 kfreebsd-8_8.1-4.diff.gz
 fbab5f197c30524e24b22c6edc08d7b08bc83616 20934334 kfreebsd-source-8.1_8.1-4_all.deb
 b53c92629305d01ae6cd54b7000de6cc35723471 8461592 kfreebsd-headers-8.1-1_8.1-4_kfreebsd-amd64.deb
 0f5a71ffa477d8e1efdae0e148ead4d88f19d801 14462514 kfreebsd-image-8.1-1-amd64_8.1-4_kfreebsd-amd64.deb
 595e091575dd4cffebfb4130502f6bf8ffb30c65 46916 kfreebsd-image-8-amd64_8.1-4_kfreebsd-amd64.deb
 f2c997b1e9301116055984fc4f6171570e6ab65f 311864 kfreebsd-headers-8.1-1-amd64_8.1-4_kfreebsd-amd64.deb
 7c8578c311dc8534a4d18bff6a25428a336141f4 46920 kfreebsd-headers-8-amd64_8.1-4_kfreebsd-amd64.deb
Checksums-Sha256: 
 6c04d5cdad990c4d55f9195139aa00b5bd36e2b5c8e1012d68fdcbe6ffbaa470 1863 kfreebsd-8_8.1-4.dsc
 eece4bacdfc1eac04915801e6ddaeecdf3700ae51e369fb8c1809dfe058d1363 77138 kfreebsd-8_8.1-4.diff.gz
 e7f8d30abd0fdede7ec8f3348944052a6b4bceffbb22c8ee9be644a04a46e7c7 20934334 kfreebsd-source-8.1_8.1-4_all.deb
 6bde9041c2b4792d85b0a25dac51e2d94f4733b343ec2bf0e94adb5c75ebfe7c 8461592 kfreebsd-headers-8.1-1_8.1-4_kfreebsd-amd64.deb
 cf1991f0a7d71c0bbf8351dcc5ac6a926c7f6147326566077a65da270acc1912 14462514 kfreebsd-image-8.1-1-amd64_8.1-4_kfreebsd-amd64.deb
 992dc27327a08673c4c0d32d0fc7055ac4e45cfbf40635952bf20eb29a70ff2a 46916 kfreebsd-image-8-amd64_8.1-4_kfreebsd-amd64.deb
 77b121658bcfb78d6952b9c2798fd244db7dff922919e2ac51ca5392d301ef7e 311864 kfreebsd-headers-8.1-1-amd64_8.1-4_kfreebsd-amd64.deb
 b769b307a2a1b4f7c35001ed8c7298849c66a87846440dee110a9d8de48542a0 46920 kfreebsd-headers-8-amd64_8.1-4_kfreebsd-amd64.deb
Files: 
 0fba397b5b75f97593cfcea0ca1c59c5 1863 kernel optional kfreebsd-8_8.1-4.dsc
 072903f8662168698d15f3edffa7865c 77138 kernel optional kfreebsd-8_8.1-4.diff.gz
 591b2ecd0502080d63b767853955ca0e 20934334 kernel optional kfreebsd-source-8.1_8.1-4_all.deb
 74c364c994349eed603b25230f044b18 8461592 kernel optional kfreebsd-headers-8.1-1_8.1-4_kfreebsd-amd64.deb
 0155b8ad9b6377868642bb0762665918 14462514 kernel optional kfreebsd-image-8.1-1-amd64_8.1-4_kfreebsd-amd64.deb
 1cbedca4a01440dc63c0ecba8a7726d2 46916 kernel optional kfreebsd-image-8-amd64_8.1-4_kfreebsd-amd64.deb
 e8a8ce722b342168d72e9666f1b76499 311864 kernel optional kfreebsd-headers-8.1-1-amd64_8.1-4_kfreebsd-amd64.deb
 68950b68a9131c9a445ae5f4a86ba53f 46920 kernel optional kfreebsd-headers-8-amd64_8.1-4_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFMXzifw3ao2vG823MRAryNAJ9ADPDxHpEwa0xy+yZ85eWbhBjZRwCfYvy8
QiS91ywkEH64QpS3G6CErH0=
=LM7U
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Sep 2010 07:39:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:32:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.